List Configurations
curl --request GET \
--url https://api.smarterproctoring.com/v1/installs/{installSid}/courses/{courseSid}/exams/{examSid}/configurations \
--header 'token: <api-key>'import requests
url = "https://api.smarterproctoring.com/v1/installs/{installSid}/courses/{courseSid}/exams/{examSid}/configurations"
headers = {"token": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {token: '<api-key>'}};
fetch('https://api.smarterproctoring.com/v1/installs/{installSid}/courses/{courseSid}/exams/{examSid}/configurations', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"total": 123,
"first": "<string>",
"next": "<string>",
"prev": "<string>",
"last": "<string>",
"count": 123,
"offset": 123,
"results": [
{
"sid": "<string>",
"examSid": "<string>",
"type": "<string>",
"examOpenDate": "<string>",
"examCloseDate": "<string>",
"createdDate": "<string>",
"editDate": "<string>"
}
]
}Exam Configuration
List Configurations
Returns a paginated list of exam configurations for the specified exam.
Can be filtered by enrollmentSid to find configurations for a specific student.
Supports sorting and pagination via query parameters.
GET
/
v1
/
installs
/
{installSid}
/
courses
/
{courseSid}
/
exams
/
{examSid}
/
configurations
List Configurations
Authorizations
Path Parameters
Install Sid
Pattern:
^AI[a-f0-9]{32}$Course Sid
Pattern:
^CU[a-f0-9]{32}$Exam Sid
Pattern:
^EX[a-f0-9]{32}$Query Parameters
Offset for pagination
Required range:
x >= 0Number of items to return
Required range:
x >= 0Keys to sort the data
Pattern:
^[a-z]+\w*$Order of sorting
Available options:
ASC, DESC Enrollment Sid
Pattern:
^EN[a-f0-9]{32}$Response
200 - application/json
Successful
Total number of results
URL for first page
URL for next page
URL for previous page
URL for last page
Number of results in this page
Current offset
Exam configuration records
Show child attributes
Show child attributes
Was this page helpful?
